rte_eth_rss_reta_entry64(3)

NAME
rte_eth_rss_reta_entry64

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

uint64_t mask
uint16_t reta [RTE_ETH_RETA_GROUP_SIZE]

Detailed Description

A structure used to configure 64 entries of Redirection Table of the Receive Side Scaling (RSS) feature of an Ethernet port. To configure more than 64 entries supported by hardware, an array of this structure is needed.

Definition at line 933 of file rte_ethdev.h.

Field Documentation

  uint64_t mask
Mask bits indicate which entries need to be updated/queried.

Definition at line 935 of file rte_ethdev.h.

  uint16_t reta[RTE_ETH_RETA_GROUP_SIZE]
Group of 64 redirection table entries.

Definition at line 937 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.